| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMemoryTracker Struct Reference

This interface is used with CS_MEMORY_TRACKER. More...

`#include <iutil/memdebug.h>`

Inheritance diagram for iMemoryTracker:

[legend]
List of all members.

## Public Member Functions
virtual void | Dump (bool summary_only)=0
| Dump all information.

## Detailed Description

This interface is used with CS_MEMORY_TRACKER.

In that case there will be an object with tag "crystalspace.utilities.memorytracker" in the object registry that implements this interface.

Definition at line 34 of file memdebug.h.

## Member Function Documentation

virtual void iMemoryTracker::Dump | ( | bool | summary_only | ) | `[pure virtual]`

Dump all information.

The documentation for this struct was generated from the following file:

- iutil/memdebug.h